% save distance matrix
B=reshape(ftv35',1,[]);
C=B(1:36^2);
clear ftv35;
A=reshape(C,36,36)';
save('ftv35','A');
clear all;

% call CE_tsp
load ftv33;
[m,n]=size(A);
pi=CE_tsp(10*n^2,0.01,0.7,A,0);

load br17;
[m,n]=size(A);
[pi,P]=GASS_tsp(10*n^2,0.01,A,0);

load ftv33;
[m,n]=size(A);
[pi,P]=GASS_tsp(10*n^2,0.01,A,0);

% K independent runs
clear all;
%warning off;
M=10;   %number of independent runs
N=3000;  % number of samples
load br17;
[m,n]=size(A);
for j=1:M
tic
[H,pi,P]=GASS_tsp(N,0.05,A,0);
disp(j)
H_GASS(j,:)=H;
X_GASS(j,:)=pi;
toc
end
H_GASS_a=sum(H_GASS,1)/M;
%std_GSS=std(H_GASS,0,1)/sqrt(A);
clear H pi j m n M N;
save('H_GASS_br17','H_GASS')
save('X_GASS_br17','X_GASS')
save('H_a_GASS_br17','H_GASS_a')

%%--------------------------------------------------------------------------
clear all;
%warning off;
M=10;   %number of independent runs
N=3000;  % number of samples
load ftv33;
[m,n]=size(A);
for j=1:M
tic
[H,pi,P]=GASS_tsp(N,0.05,A,0);
disp(j)
H_GASS(j,:)=H;
X_GASS(j,:)=pi;
toc
end
H_GASS_a=sum(H_GASS,1)/M;
H_s=1286;
delta=(H_GASS-H_s)/H_s;
delta_mean=mean(delta);
delta_std=std(delta);
clear H pi j m n M N;
save('H_GASS_ftv33','H_GASS')
save('X_GASS_ftv33','X_GASS')
save('H_a_GASS_ftv33','H_GASS_a')

%%--------------------------------------------------------------------------
clear all;
%warning off;
M=10;   %number of independent runs
N=3000;  % number of samples
load ftv35;
[m,n]=size(A);
for j=1:M
tic
[H,pi,P]=GASS_tsp(N,0.05,A,0);
disp(j)
H_GASS(j,:)=H;
X_GASS(j,:)=pi;
toc
end
H_GASS_a=sum(H_GASS,1)/M;
H_s=1473;
delta=(H_GASS-H_s)/H_s;
delta_mean=mean(delta);
delta_std=std(delta);
clear H pi j m n M N;
save('H_GASS_ftv35','H_GASS')
save('X_GASS_ftv35','X_GASS')
save('H_a_GASS_ftv35','H_GASS_a')

%%--------------------------------------------------------------------------
clear all;
%warning off;
M=10;   %number of independent runs
N=3000;  % number of samples
load ftv38;
[m,n]=size(A);
for j=1:M
tic
[H,pi,P]=GASS_tsp(N,0.05,A,0);
disp(j)
H_GASS(j,:)=H;
X_GASS(j,:)=pi;
toc
end
H_GASS_a=sum(H_GASS,1)/M;
H_s=1530;
delta=(H_GASS-H_s)/H_s;
delta_mean=mean(delta);
delta_std=std(delta);
clear H pi j m n M N;
save('H_GASS_ftv38','H_GASS')
save('X_GASS_ftv38','X_GASS')
save('H_a_GASS_ftv38','H_GASS_a')

%%--------------------------------------------------------------------------
clear all;
%warning off;
M=10;   %number of independent runs
N=3000;  % number of samples
load p43;
[m,n]=size(A);
for j=1:M
tic
[H,pi,P]=GASS_tsp(N,0.05,A,0);
disp(j)
H_GASS(j,:)=H;
X_GASS(j,:)=pi;
toc
end
H_GASS_a=sum(H_GASS,1)/M;
H_s=5620;
delta=(H_GASS-H_s)/H_s;
delta_mean=mean(delta);
delta_std=std(delta);
clear H pi j m n M N;
save('H_GASS_p43','H_GASS')
save('X_GASS_p43','X_GASS')
save('H_a_GASS_p43','H_GASS_a')

%%--------------------------------------------------------------------------
clear all;
%warning off;
M=10;   %number of independent runs
N=3000;  % number of samples
load p43;
[m,n]=size(A);
for j=1:M
tic
[H,pi,P]=GASS_tsp(N,0.05,A,0);
disp(j)
H_GASS(j,:)=H;
X_GASS(j,:)=pi;
toc
end
H_GASS_a=sum(H_GASS,1)/M;
H_s=5620;
delta=(H_GASS-H_s)/H_s;
delta_mean=mean(delta);
delta_std=std(delta);
clear H pi j m n M N;
save('H_GASS_p43','H_GASS')
save('X_GASS_p43','X_GASS')
save('H_a_GASS_p43','H_GASS_a')

%%-----------------CE--------------------------------------------------
clear all;
%warning off;
M=10;   %number of independent runs
N=3000;  % number of samples
load br17;
[m,n]=size(A);
alpha=0.7;
for j=1:M
tic
[H,pi,P]=CE_tsp(N,0.05,alpha,A,0);
disp(j)
H_CE(j,:)=H;
X_CE(j,:)=pi;
toc
end
H_CE_a=sum(H_CE,1)/M;

clear H pi j m n M N;
save('H_CE_br17','H_CE')
save('X_CE_br17','X_CE')
save('H_a_CE_br17','H_CE_a')

%%--------------------------------------------------------------------------
clear all;
%warning off;
M=10;   %number of independent runs
N=3000;  % number of samples
load ftv33;
[m,n]=size(A);
alpha=0.7;
for j=1:M
tic
[H,pi,P]=CE_tsp(N,0.05,alpha,A,0);
disp(j)
H_CE(j,:)=H;
X_CE(j,:)=pi;
toc
end
H_CE_a=sum(H_CE,1)/M;
H_s=1286;
delta=(H_CE-H_s)/H_s;
delta_mean=mean(delta);
delta_std=std(delta);
clear H pi j m n M N;
save('H_CE_ftv33','H_CE')
save('X_CE_ftv33','X_CE')
save('H_a_CE_ftv33','H_CE_a')

%%--------------------------------------------------------------------------
clear all;
%warning off;
M=10;   %number of independent runs
N=3000;  % number of samples
load ftv35;
[m,n]=size(A);
alpha=0.7;
for j=1:M
tic
[H,pi,P]=CE_tsp(N,0.05,alpha,A,0);
disp(j)
H_CE(j,:)=H;
X_CE(j,:)=pi;
toc
end
H_CE_a=sum(H_CE,1)/M;
H_s=1473;
delta=(H_CE-H_s)/H_s;
delta_mean=mean(delta);
delta_std=std(delta);
clear H pi j m n M N;
save('H_CE_ftv35','H_CE')
save('X_CE_ftv35','X_CE')
save('H_a_CE_ftv35','H_CE_a')

%%--------------------------------------------------------------------------
clear all;
%warning off;
M=10;   %number of independent runs
N=3000;  % number of samples
load ftv38;
[m,n]=size(A);
alpha=0.7;
for j=1:M
tic
[H,pi,P]=CE_tsp(N,0.05,alpha,A,0);
disp(j)
H_CE(j,:)=H;
X_CE(j,:)=pi;
toc
end
H_CE_a=sum(H_CE,1)/M;
H_s=1530;
delta=(H_CE-H_s)/H_s;
delta_mean=mean(delta);
delta_std=std(delta);
clear H pi j m n M N;
save('H_CE_ftv38','H_CE')
save('X_CE_ftv38','X_CE')
save('H_a_CE_ftv38','H_CE_a')

%%--------------------------------------------------------------------------
clear all;
%warning off;
M=10;   %number of independent runs
N=3000;  % number of samples
load p43;
[m,n]=size(A);
alpha=0.7;
for j=1:M
tic
[H,pi,P]=CE_tsp(N,0.05,alpha,A,0);
disp(j)
H_CE(j,:)=H;
X_CE(j,:)=pi;
toc
end
H_GASS_a=sum(H_CE,1)/M;
H_s=5620;
delta=(H_CE-H_s)/H_s;
delta_mean=mean(delta);
delta_std=std(delta);
clear H pi j m n M N;
save('H_CE_p43','H_CE')
save('X_CE_p43','X_CE')
save('H_a_CE_p43','H_CE_a')
